* Retrofit primary and foreign keys

* Add PK to JobType
AddPK("JobType", "iID")

* Replace JobType field in Employee with FK
LOCAL aDropFields[1], cLookupExpr
aDropFields[1] = "JobType"
cLookupExpr = "LOOKUP(JobType.iID, " + ;
              "UPPER(Employee.JobType)," + ;
              "JobType.JobType)"
AddAndPopulateFK("Employee", "iJobTypeID", "JobType", "iID", ;
                 "", cLookupExpr, @aDropFields)


* Add PK to Dept
AddPK("Dept", "iID")

* Repl DeptNum/DeptName fields in Employee with FK
DIMENSION aDropFields[2]
aDropFields[1] = "DeptNum"
aDropFields[2] = "DeptName"

AddAndPopulateFK("Employee", "iDeptID", "Dept", "iID", ;
                 "DeptNum", "DeptNum", @aDropFields)


* Add PK to Employee
AddPK("Employee", "iID")

* Replace ManagerNum/MgrName fields in Dept with FK
DIMENSION aDropFields[2]
aDropFields[1] = "ManagerNum"
aDropFields[2] = "MgrName"

AddAndPopulateFK("Dept", "iMgrID", "Employee", "iID", ;
                 "EmpNum", "ManagerNum", @aDropFields)


* Replace EmpNum/EmpName fields in Assigned with FK
DIMENSION aDropFields[2]
aDropFields[1] = "EmpNum"
aDropFields[2] = "EmpName"

AddAndPopulateFK("Assigned", "iEmpID", "Employee", "iID", ;
                 "EmpNum", "EmpNum", @aDropFields)

                 
* Add PK to Task
AddPK("Task", "iID")


* Replace TaskNum/TaskName in Assigned with FK
DIMENSION aDropFields[2]
aDropFields[1] = "TaskNum"
aDropFields[2] = "TaskName"

AddAndPopulateFK("Assigned", "iTaskID", "Task", "iID", ;
                 "Task", "TaskName", @aDropFields)

* Add PK to Assigned                 
AddPK("Assigned", "iID")

RETURN
